Skip to main content
`Ctrl`+`K`

# DMPlexGetNumFaceVertices

Returns the number of vertices on a face

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetNumFaceVertices(DM dm, PetscInt cellDim, PetscInt numCorners, PetscInt *numFaceVertices)

Not Collective

## Input Parameters

- dm - The `DMPLEX`

- cellDim - The cell dimension

- numCorners - The number of vertices on a cell

## Output Parameter

- numFaceVertices - The number of vertices on a face

## Note

Of course this can only work for a restricted set of symmetric shapes

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexGetCone()`

## Level

developer

## Location

src/dm/impls/plex/plex.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages